summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Jostein Berntsen <jbernts@broadpark.no>2017-10-03 22:59:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-10-07 07:01:56 +0700
commit9970da58513e1272fd3e3a6a4da820fcaecbfb41 (patch)
treec970e3c5b15cb600a4e0ae40dd526caab5a68833 /office
parent782bd19f1b4f6bde83cf51feb7dc02b8f1e863ed (diff)
downloadslackbuilds-9970da58513e1272fd3e3a6a4da820fcaecbfb41.tar.gz
slackbuilds-9970da58513e1272fd3e3a6a4da820fcaecbfb41.tar.xz
office/taskopen: Added (Script for notes with taskwarrior).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/taskopen/README1
-rw-r--r--office/taskopen/slack-desc19
-rw-r--r--office/taskopen/taskopen.SlackBuild94
-rw-r--r--office/taskopen/taskopen.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/office/taskopen/README b/office/taskopen/README
new file mode 100644
index 0000000000..2d0a23f73e
--- /dev/null
+++ b/office/taskopen/README
@@ -0,0 +1 @@
+Script for taking notes and open urls with taskwarrior
diff --git a/office/taskopen/slack-desc b/office/taskopen/slack-desc
new file mode 100644
index 0000000000..9546da5f3d
--- /dev/null
+++ b/office/taskopen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+taskopen: taskopen (Script for notes with taskwarrior)
+taskopen:
+taskopen: Script for taking notes and open urls with taskwarrior
+taskopen:
+taskopen:
+taskopen:
+taskopen:
+taskopen:
+taskopen: https://github.com/ValiValpas/taskopen
+taskopen:
+taskopen:
diff --git a/office/taskopen/taskopen.SlackBuild b/office/taskopen/taskopen.SlackBuild
new file mode 100644
index 0000000000..4308d1bb53
--- /dev/null
+++ b/office/taskopen/taskopen.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for taskopen
+
+# Copyright 2017 Jostein Berntsen <jbernts@broadpark.no>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=taskopen
+VERSION=${VERSION:-1.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i "s|share/man|/man|g" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr
+make PREFIX=/usr install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS NEWS README.markdown $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/taskopen/doc/html/ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/html/*.orig
+rm -rf $PKG/usr/share/taskopen/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/taskopen/taskopen.info b/office/taskopen/taskopen.info
new file mode 100644
index 0000000000..6c0d8093c1
--- /dev/null
+++ b/office/taskopen/taskopen.info
@@ -0,0 +1,10 @@
+PRGNAM="taskopen"
+VERSION="1.1.3"
+HOMEPAGE="https://github.com/ValiValpas/taskopen"
+DOWNLOAD="https://github.com/ValiValpas/taskopen/archive/v1.1.3/taskopen-1.1.3.tar.gz"
+MD5SUM="115fc8ee608caa6b3b77ff81592aa61a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-JSON"
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"